Bug 622302 - [abrt] xchat-gnome-0.26.1-14.fc14: g_list_length: Process /usr/bin/xchat-gnome was killed by signal 11 (SIGSEGV) (tab completion)
[abrt] xchat-gnome-0.26.1-14.fc14: g_list_length: Process /usr/bin/xchat-gnom...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:7dd6c4e7818441e0b8eae2614b1...
:
: 657624 664685 677987 690061 709096 752006 770752 (view as bug list)
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-08-08 15:46 EDT by Nicolas Mailhot
Modified: 2013-01-10 22:10 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (22.33 KB, text/plain)
2010-08-08 15:46 EDT, Nicolas Mailhot
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 635881 None None None Never

  None (edit)
Description Nicolas Mailhot 2010-08-08 15:46:29 EDT
abrt version: 1.1.10
architecture: x86_64
Attached file: backtrace
cmdline: xchat-gnome
component: xchat-gnome
crash_function: g_list_length
executable: /usr/bin/xchat-gnome
kernel: 2.6.35.1-4.rc1.fc14.x86_64
package: xchat-gnome-0.26.1-14.fc14
rating: 4
reason: Process /usr/bin/xchat-gnome was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Branched)
How to reproduce: tab tab tab boom
time: 1281296195
uid: 500
Comment 1 Nicolas Mailhot 2010-08-08 15:46:32 EDT
Created attachment 437474 [details]
File: backtrace
Comment 2 ritz 2010-08-13 02:43:30 EDT
this should not be seen. How reproducible is this ? Is it possible to provide the coredump for further analysis ?

-- ritz
Comment 3 Nicolas Mailhot 2010-08-13 03:47:18 EDT
The coredump has long been purged — F14 Alpha crashes so much I can't possibly keep abrt data more than a couple days

I can try to reproduce it this evening, but if it's a race somewhere, I can't promise I'll be successful
Comment 4 Nicolas Mailhot 2010-08-13 14:42:11 EDT
And unfortunately, I didn't manage to reproduce it, and the coredump is long gone. So the only debugging material is the backtrace
Comment 5 Nicolas Mailhot 2010-09-28 16:05:40 EDT
And now it crashed again about the same way with the current F14 libs
Do you still want the coredump before I delete it?
Comment 6 Brian Pepple 2010-09-28 16:38:19 EDT
(In reply to comment #5)
> And now it crashed again about the same way with the current F14 libs
> Do you still want the coredump before I delete it?

Yeah, attach it. It might help debug this.
Comment 7 Jeff Weiss 2010-11-02 11:27:07 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tab completion on a nick in xchat
2.
3.
Comment 8 Brian Pepple 2010-11-26 16:39:54 EST
*** Bug 657624 has been marked as a duplicate of this bug. ***
Comment 9 Usama Akkad 2010-12-03 12:39:18 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Started typing in input-box
2.Proram crashed
3.


Comment
-----
It was the fist time I had this crash after using Xchat-gnome for few days on Fedora 14
Comment 10 Jens Petersen 2010-12-19 23:18:11 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. was completing a nick with tab
Comment 11 Igor Bukanov 2010-12-22 16:16:28 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I went to #jsapi channel at irc.mozilla.org (port 6697), typed a full user name and then hit tab to complete username (even if it was fully entered).

Note that I am an operator for that channel.
Comment 12 arhi.smece 2010-12-29 01:09:42 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.nothing - just connected to a single server .. was not even typing
2.
3.


Comment
-----
nothing - just connected to a single server .. was not even typing
Comment 13 arhi.smece 2010-12-30 02:19:24 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
dd

Comment
-----
crashed, again
Comment 14 arhi.smece 2011-01-10 09:14:13 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
typinmg

Comment
-----
typing
Comment 15 Paul W. Frields 2011-01-12 15:36:43 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Nothing in particular -- crash happened during a pause while I was formulating a response in my head in a channel. Didn't start with an event as far as I can recall, unless I maybe moved the mouse.

Comment
-----
Spurious crash of xchat-gnome
Comment 16 Vít Ondruch 2011-02-03 07:19:48 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just chatting ...
2.
3.
Comment 17 Matt Wagner 2011-02-03 11:53:30 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Attempted to tab auto-complete screen name and application crashed. Does not happen reliably.
Comment 18 Marina 2011-02-14 07:02:56 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i
2.
3.
Comment 19 ritz 2011-02-22 09:11:14 EST
*** Bug 677987 has been marked as a duplicate of this bug. ***
Comment 20 ritz 2011-02-22 09:39:52 EST
*** Bug 664685 has been marked as a duplicate of this bug. ***
Comment 21 arhi.smece 2011-02-28 04:16:41 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
chatting on a single server

Comment
-----
nothing .. not even typing
Comment 22 arhi.smece 2011-03-04 02:28:10 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
notn much .. just typing

Comment
-----
connect, type
Comment 23 Vladik Romanovsky 2011-03-14 05:56:42 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.kjhgk
2.
3.
Comment 24 Niranjan Mallapadi Raghavender 2011-03-15 04:52:45 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Not sure, All of a sudden xchat-gnome crashed
2.
3.
Comment 25 arhi.smece 2011-03-16 05:21:30 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
bum - it crashed

Comment
-----
nothing .. working .. someone mentioned c# and the xchat-gnome crashed
Comment 26 Jens Petersen 2011-03-18 04:27:03 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
crashed while completing a nick (?)
Comment 27 Vladik Romanovsky 2011-03-22 09:56:03 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
asa
Comment 28 arhi.smece 2011-04-11 09:17:02 EDT
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
nothing special ... type

Comment
-----
type
Comment 29 Bill Nottingham 2011-04-12 23:37:10 EDT
*** Bug 690061 has been marked as a duplicate of this bug. ***
Comment 30 Bill Nottingham 2011-05-31 13:33:35 EDT
*** Bug 709096 has been marked as a duplicate of this bug. ***
Comment 31 Niranjan Mallapadi Raghavender 2011-11-23 06:30:51 EST
Package: xchat-gnome-0.26.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.It happened suddenly and not sure how
2.
3.
Comment 32 abrt-bot 2012-03-20 10:20:25 EDT
*** Bug 752006 has been marked as a duplicate of this bug. ***
Comment 33 abrt-bot 2012-03-20 10:20:36 EDT
*** Bug 770752 has been marked as a duplicate of this bug. ***
Comment 34 Fedora End Of Life 2012-08-16 17:46:20 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.